Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.client.xacml
Class AbstractNodeEditor

    java.lang.Object
      org.exist.client.xacml.AbstractNodeEditor

All Implemented Interfaces:
  NodeEditor

Direct Known Subclasses:
  PolicyElementEditor, TargetEditor

public abstract class AbstractNodeEditor
extends java.lang.Object
implements NodeEditor

Constructor Summary
`AbstractNodeEditor()`

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener listener)`
`void` | `removeChangeListener(javax.swing.event.ChangeListener listener)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.exist.client.xacml.NodeEditor
`getComponent, pushChanges, setNode`

Constructor Detail

### AbstractNodeEditor

    public AbstractNodeEditor()

Method Detail

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener listener)

  Specified by:
    `addChangeListener` in interface `NodeEditor`

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener listener)

  Specified by:
    `removeChangeListener` in interface `NodeEditor`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.